﻿--جستجوی اطلاعات امانت کتاب بر اساس آیدی
--خروجی این رویه یک رکورد می باشد

CREATE PROCEDURE SP_LendingBooks_SELECT_ByID

@LendingBook_ID BIGINT

AS

BEGIN

SELECT LB.LendingBook_ID
, LB.Book_ID
, LB.Member_ID
, LB.LendDate
, LB.DueDate
, LB.ReturnDate
, LB.RowDesc
, B.BookCode
, B.Title
, M.MembershipCode
, M.FirstName
, M.LastName
FROM LendingBooks LB
LEFT JOIN Books B ON LB.Book_ID = B.Book_ID
LEFT JOIN Members M ON LB.Member_ID = M.Member_ID
WHERE (LB.LendingBook_ID = @LendingBook_ID)

END